<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/03/2009 *
 * ===================                          Last change: 04/03/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : config-global.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Global configuration                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Globale Konfiguration                            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

/************************************************************************
 *      PLEASE DO NOT EDIT THE COMMENTS! install.php NEEDS THEM!        *
 ************************************************************************/

// Proper function exists?
if (function_exists('date_default_timezone_set')) {
	// Set default timezone to Europe/Berlin (because I'm from Germany)
	@date_default_timezone_set('Europe/Berlin');
} // END - if

// CFG: ERROR-REPORTING
error_reporting(E_ALL | E_DEPRECATED | E_STRICT);

// Is the function there? (removed in PHP 5.4.0)
if (function_exists('import_request_variables')) {
	// CFG: REGISTER-GLOBALS
	@import_request_variables('');
} // END - if

// Detect path (without 'inc') and fix windozer paths
$path = str_replace(chr(92), '/', substr(dirname(__FILE__), 0, -3));

// Some very important function includes
foreach (array('config', 'wrapper', 'template', 'module', 'inc', 'http') as $inc) {
	include($path . 'inc/' . $inc . '-functions.php');
} // END - foreach

// General functions
include($path . 'inc/functions.php');

// Auto-detection of URL
$URL = 'http://' . detectServerName() . str_replace(chr(92), '/', dirname($_SERVER['PHP_SELF']));
while (substr($URL, -1, 1) == '/') { $URL = substr($URL, 0, -1); }

// Initialize the configuration
initConfig();

// Init HTTP handling
initHttp();

// CFG: FLOAT-MASK
setConfigEntry('FLOAT_MASK', '%01.5f');

// CFG: HOST-URL (without trailing '/' !)
setConfigEntry('URL', $URL);

// CFG: DOMAIN-NAME (without trailing '/' !)
setConfigEntry('DOMAIN', detectDomainName());

// CFG: SERVER-PATH
setConfigEntry('PATH', $path);

// CFG: VERSION
setConfigEntry('VERSION', 'v0.2.1');

// CFG: AUTHOR
setConfigEntry('AUTHOR' , 'Roland H&auml;der');

// CFG: TITLE
setConfigEntry('TITLE', 'Mailer-Project');

// CFG: COPY
setConfigEntry('COPY', 'Copyright &copy; 2003 - 2009, by Roland H&auml;der,<br />2009 - 2012 by Mailer Developer Team');

// CFG: CACHE-PATH
setConfigEntry('CACHE_PATH', 'inc/cache/');

// CFG: INTERNAL-STATS (This setting is overwritten by ext-other equal and prior version 0.2.7)
setConfigEntry('internal_stats', 'N');

// CFG: DEBUG-TEMPLATE-CACHE
setConfigEntry('DEBUG_TEMPLATE_CACHE', 'Y');

// CFG: SALT-LENGTH
setConfigEntry('salt_length', 10);

// CFG: MINIMUM-ADMIN-PASS-LENGTH
setConfigEntry('minium_admin_pass_length', 4);

// Remove maybe conflicting variables
unset($url);
unset($path);

// Connect to the database...
loadIncludeOnce('inc/mysql-connect.php');

// Init stats system
initStatsSystem();

// [EOF]
?>
