<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/30/2012 *
 * ===================                          Last change: 09/30/2012 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : load-payments.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Load more cache files                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mehr Cache-Dateien nachladen                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (isInstallationPhase()) {
	// Do not run in installation phase
	return FALSE;
}

// Let's start with the admins table...
if (($GLOBALS['cache_instance']->loadCacheFile('payments')) && ($GLOBALS['cache_instance']->extensionVersionMatches('payments'))) {
	// Load cache
	$GLOBALS['cache_array']['payments'] = $GLOBALS['cache_instance']->getArrayFromCache();

	// Init temporary array
	$paymentsData = array();

	// Rewrite all to id
	foreach ($GLOBALS['cache_array']['payments']['id'] as $key => $id) {
		// Re-add key with id
		foreach ($GLOBALS['cache_array']['payments'] as $key2 => $array) {
			// Is key2 not 'id'?
			if ($key2 != 'id') {
				// Then Add it
				$paymentsData[$id][$key2] = $GLOBALS['cache_array']['payments'][$key2][$key];
			} // END - if
		} // END - foreach
	} // END - foreach

	// Set the array back and remove temporary
	$GLOBALS['cache_array']['payments'] = $paymentsData;
	unset($paymentsData);
} elseif ((isHtmlOutputMode()) || (isRawOutputMode())) {
	// Create cache file
	$GLOBALS['cache_instance']->init();

	// Load every data from DB to cache file
	//$add = runFilterChain('sql_admin_extra_data');

	// Query the database about this
	$result = SQL_QUERY('SELECT * FROM `{?_MYSQL_PREFIX?}_payments` ORDER BY `id` ASC', __FILE__, __LINE__);
	while ($dummy = SQL_FETCHARRAY($result)) {
		// Save row
		$GLOBALS['cache_instance']->addRow($dummy);
	} // END - while

	// Free memory
	SQL_FREERESULT($result);

	// Close cache
	$GLOBALS['cache_instance']->storeExtensionVersion('payments');
	$GLOBALS['cache_instance']->finalize();
}

// [EOF]
?>
