<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/10/2003 *
 * ===================                          Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-register.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Registration form                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Anmeldeformular                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} // END - if

// Add description as navigation point
addYouAreHereLink('guest', __FILE__);

if (!isExtensionActive('register')) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=register%}');
	return;
} elseif (!isExtensionActive('country')) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=country%}');
	return;
}

// Is the form sent and all went fine?
//* DEBUG: */ debugOutput('isFormSent=' . intval(isFormSent()) . ',isRegistrationDataComplete=' . intval(isRegistrationDataComplete()) . ',isAdmin=' . intval(isAdmin()));
if ((isFormSent()) && (isRegistrationDataComplete())) {
	// Do the registration here
	doUserRegistration();

	// Output success registration
	displayMessage('{--REGISTRATION_DONE--}');
} else {
	// Do this only if form is sent
	if (isFormSent()) {
		if (postRequestElement('agree') == '!') {
			registerOutputFailedMessage('HAVE_TO_AGREE');
		} // END - if

		if (postRequestElement('email') == '!') {
			registerOutputFailedMessage('ENTER_EMAIL');
			setPostRequestElement('email', '');
		} elseif (postRequestElement('email') == '?') {
			registerOutputFailedMessage('GUEST_EMAIL_IS_ALREADY_REGISTERED');
			setPostRequestElement('email', '');
		}

		if (postRequestElement('surname') == '!') {
			registerOutputFailedMessage('ENTER_SURNAME');
			setPostRequestElement('surname', '');
		} // END - if

		if (postRequestElement('family') == '!') {
			registerOutputFailedMessage('ENTER_FAMILY');
			setPostRequestElement('family', '');
		} // END - if

		if ((postRequestElement('password1') == '!') && (postRequestElement('password2') == '!')) {
			registerOutputFailedMessage('ENTER_BOTH_PASSWORDS');
		} elseif (postRequestElement('password1') == '!') {
			registerOutputFailedMessage('ENTER_PASSWORD1');
		} elseif (postRequestElement('password2') == '!') {
			registerOutputFailedMessage('ENTER_PASSWORD2');
		}

		if ((isset($GLOBALS['registration_short_password'])) && ($GLOBALS['registration_short_password'] === TRUE)) {
			registerOutputFailedMessage('GUEST_SHORT_PASS', ': ' . getPassLen());
		} // END - if

		if ((isset($GLOBALS['registration_ip_timeout'])) && ($GLOBALS['registration_ip_timeout'] === TRUE)) {
			registerOutputFailedMessage('REMOTE_ADDR_TIMEOUT');
		} // END - if

		if ((!empty($GLOBALS['registration_selected_cats'])) && ($GLOBALS['registration_selected_cats'] < getLeastCats())) {
			registerOutputFailedMessage('', '{--CHOOSE_MORE_CATEGORIES--}');
		} // END - if
	} // END - if

	// Generate birthday selection
	switch (getLanguage()) {
		case 'de': // German date format
			$content['birthday_selection'] = addSelectionBox('da', postRequestElement('day')).addSelectionBox('mo', postRequestElement('month')).addSelectionBox('ye', postRequestElement('year'));
			break;

		default: // Default is the US date format... :)
			$content['birthday_selection'] = addSelectionBox('mo', postRequestElement('month')).addSelectionBox('da', postRequestElement('day')).addSelectionBox('ye', postRequestElement('year'));
			break;
	} // END - switch

	// Shall I display the refid or shall I make it editable?
	if (isDisplayRefidEnabled()) {
		// Load "hide" form template
		$content['refid_content'] = loadTemplate('guest_register_refid_hide', TRUE);
	} else {
		// Load template to enter it
		$content['refid_content'] = loadTemplate('guest_register_refid', TRUE);
	}

	// ZIP codes are numerical values
	$content['zip'] = '';
	if ((isPostRequestElementSet('zip')) && (postRequestElement('zip') > 0)) {
		$content['zip'] = bigintval(postRequestElement('zip'));
	} // END - if

	// Other values
	foreach (array('gender', 'surname', 'family', 'street_nr', 'city', 'email') as $entry) {
		$content[$entry] = SQL_ESCAPE(postRequestElement($entry));
	} // END - foreach

	// Set must-fillout fields
	$content = runFilterChain('register_must_fillout', $content);

	// Display registration form
	loadTemplate('guest_register', FALSE, $content);
}

// [EOF]
?>
