<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/08/2008 *
 * ===================                          Last change: 09/08/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-book_surfbar.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Members can book new URLs here                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitglieder koennen URLs buchen                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	// Redirect
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

if ((!isExtensionActive('surfbar')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=surfbar%}');
	return;
} // END - if

// Still allowed to book more URLs?
if (!ifSurfbarMemberAllowedMoreUrls()) {
	// No more URLs allowed to book!
	displayMessage('{--MEMBER_SURFBAR_NO_MORE_ALLOWED--}');
} elseif ((isFormSent()) && (isPostRequestElementSet('limited'))) {
	// Is limitation "no" and "limit" is > 0?
	if (postRequestElement('limited') == 'N') {
		// Set it to unlimited
		setPostRequestElement('limit', 0);
	} // END - if

	// By default something went wrong
	$message = '{--MEMBER_SURFBAR_URL_NOT_ADDED--}';

	// Register the new URL
	$insertId = doSurfbarMemberAddUrl(postRequestElement('url'), postRequestElement('limit'));

	// Was this fine?
	if (isValidId($insertId)) {
		// URL added and waiting for unlock
		$message = '{--MEMBER_SURFBAR_URL_ADDED--}';
	} // END - if

	// Load message template
	displayMessage($message);
} else {
	// Load surfbar order form
	loadTemplate(sprintf("member_book_surfbar_%s", strtolower(getSurfbarPaymentModel())));
}

// [EOF]
?>
