<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/14/2004 *
 * ===================                          Last change: 06/20/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : monthly_bonus.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Monthly bonus from click-bonus                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Monatlicher Bonus von Klick-Verguetung           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif ((!isHtmlOutputMode()) || (!isResetModeEnabled())) {
	// Do not execute when script is in non-HTML mode or no hourly reset
	return;
} elseif (!isExtensionActive('bonus')) {
	if (isDebugModeEnabled()) logDebugMessage(__FILE__, __LINE__, 'Not resetting, needed extension ext-bonus disabled.');
	return;
}

// Debug line
//* DEBUG: */ logDebugMessage(__FILE__, __LINE__, 'Monthly reset started.');

if ((getBonusRanks() > 0) && (!isCssOutputMode())) {
	// Extension 'autopurge' is inactive or purging of inactive accounts is deactivated
	$whereStatement = runFilterChain('user_exclusion_sql', "WHERE `status`='CONFIRMED'");

	// Shall I keep inactive members away from here? (mostly wanted in an "active-rallye" ...)
	if ((isExtensionActive('autopurge')) && ((getApInactiveSince() > 0))) {
		// Okay, include last online timestamp
		$whereStatement .= ' AND (UNIX_TIMESTAMP() - `last_online`) < {?ap_inactive_since?}';
	} // END - if

	// Add more bonus points here by running a filter
	$add = runFilterChain('add_bonus_points_user_columns', '');

	// Shall we add some entries?
	if (!empty($add)) {
		$whereStatement .= ' AND (0' . $add . ') > 0';
	} // END - if

	// Run SQL string to check for accounts
	$result_main = SQL_QUERY('SELECT
	`userid`,
	(0' . $add . ') AS `points`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
' . $whereStatement . '
ORDER BY
	`points` DESC,
	`userid` ASC
LIMIT {?bonus_ranks?}', __FILE__, __LINE__);

	// Some entries were found?
	if (!SQL_HASZERONUMS($result_main)) {
		// Load our winners...
		while ($content = SQL_FETCHARRAY($result_main)) {
			// Make sure zero points are not mailed
			if ($content['points'] > 0) {
				// Add points to user's account directly
				initReferralSystem();
				addPointsThroughReferralSystem('monthly_bonus', $content['userid'], $content['points']);

				// Load email template and email it away
				$message = loadEmailTemplate('member_bonus', $content, bigintval($content['userid']));
				sendEmail($content['userid'], '{--MEMBER_MONTHLY_BONUS_WON_SUBJECT--}', $message);
			} // END - if
		} // END - while

		// Reset all accounts
		$result = SQL_QUERY('UPDATE `{?_MYSQL_PREFIX?}_user_data`
SET
	`turbo_bonus`=0,
	`login_bonus`=0,
	`bonus_order`=0,
	`bonus_stats`=0,
	`bonus_ref`=0', __FILE__, __LINE__);
	} // END - if

	// Free memory
	SQL_FREERESULT($result_main);
} // END - if

// Debug line
//* DEBUG: */ logDebugMessage(__FILE__, __LINE__, 'Monthly reset ended.');

// [EOF]
?>
