<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/16/2004 *
 * ===================                          Last change: 11/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : session.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Session management                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sitzungs-Management                              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} // END - if

// Is ext-sql_patches there and newer?
if (isExtensionInstalledAndNewer('sql_patches', '0.5.3')) {
	// Set session save path if set
	if ((isConfigEntrySet('session_save_path')) && (getConfig('session_save_path') != '')) {
		// Please make sure this valid!
		session_save_path(getConfig('session_save_path'));
	} // END - if
} // END - if

// Is a session id there?
if (!isSessionValid()) {
	// Start the session
	$GLOBALS['valid_session']  = session_start();
	$GLOBALS['isSessionValid'] = TRUE;
} // END - if

// Load language file(s)
loadLanguageFile();

// [EOF]
?>
